#{extends 'border.html'/}
<div class="container">
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.LaporanProdukCtr.index()}">&{'kelola_laporan.label'}</a></li>
                <li class="active">&{'detail_laporan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                <!-- {backButton/} -->
                <a href="@{katalog.LaporanProdukCtr.index()}" class="btn btn-default"><i class="fa fa-arrow-circle-left"></i> &{'kembali.label'}</a>
            </div>
        </div>
    </div>
    <!-- End Toolbar -->
    #{alert /}
    <div class="row">
        <div class="panel panel-default">
            <div class="panel-body" style="overflow-x: auto">
                <h5>&{'riwayat_laporan.label'} - <a href="@{katalog.produkctr.detail(report?.item_id)}"><b>${produk?.no_produk}</b> (${produk?.nama_produk})</a></h5>
                <br/>
                <table class="table table-striped" id="table-laporan">
                    <thead>
                        <tr>
                            <th>&{'tanggal.label'}</th>
                            <th>&{'oleh.label'}</th>
                            <th>&{'laporan.label'}</th>
                            <th>&{'unduh_file.label'}</th>
                        </tr>
                    </thead>
                    <tbody>
                    #{list rwt, as:'rw'}
                    <tr>
                        <td class="text-center" style="width: 20%"><b>${rw.created_date}</b></td>
                        <td class="text-left" style="width: 20%">${rw.reporter_name}</td>
                        <td class="text-left" style="width: 40%">${rw.message}</td>
                        <td class="text-center" style="width: 20%"><a href="${rw.url_download}">${rw.nama_file}</a></td>
                    </tr>
                    #{/list}
                    </tbody>
                </table>
            </div>
        </div>
        #{if report?.status == 'proses'}
        <div class="panel panel-default">
            <br/>
            #{form @katalog.ProdukCtr.reportReply(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}
            <input type="hidden" name="rpt.id" value="${report?.id}"/>
            <div class="form-group required">
                <label class="control-label col-md-3">&{'balasan.label'}</label>
                <div class="col-md-4">
                    <textarea name="rpt.message" class="form-control alphanumeric" rows="10" style="resize: vertical" required></textarea>
                </div>
            </div>
            #{if aktifUser!=null}
            <div class="form-group">
                <label class="col-md-3 control-label">&{'unggah_file.label'}</label>
                <div class="col-md-9">
                    <p>&{'maksimum.label'} &{'ukuran_file.label'} 5MB: .docx, .xlsx, .pdf, .zip dan .jpeg</p>
                    <input type='file' name="file" accept=".pdf,.zip,.jpeg"/>
                </div>
            </div>
            #{/if}
            <div class="form-group">
                <div class="col-md-6"></div>
                <div class="col-md-6"><button class="btn btn-primary">&{'kirim.label'}</button></div>
            </div>
            #{/form}
        </div>
        #{/if}
    </div>
</div>
<style>
    #table-laporan tbody tr td{
        vertical-align: top!important;
    }
</style>
#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function () {
        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });
    });
</script>
#{/set}